layer filters

Discussion in 'AutoCAD' started by Nate Hunter, Jan 20, 2004.

  1. Nate Hunter

    Nate Hunter Guest

    Does anyone know why my code below does not work. I am trying to set a
    named layerfilter without actually going into the layer manager. I must be
    missing something simple any ideas??


    Dim oDict As AcadDictionary
    Dim LayFlt As Object
    Dim oXrec As AcadXRecord
    Dim xType As Variant, xValue As Variant

    Set oDict = ThisDrawing.Layers.GetExtensionDictionary
    Set LayFlt = oDict.Item("ACAD_LAYERFILTERS")
    Set oXrec = LayFlt("WATER")

    oXrec.GetXRecordData xType, xValue
    MsgBox "Layer Filter name: " & xValue(0)
     
    Nate Hunter, Jan 20, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.